summaryrefslogtreecommitdiffstats
path: root/gnu/usr.bin/dialog/TESTS/radiolist
diff options
context:
space:
mode:
Diffstat (limited to 'gnu/usr.bin/dialog/TESTS/radiolist')
-rwxr-xr-xgnu/usr.bin/dialog/TESTS/radiolist33
1 files changed, 33 insertions, 0 deletions
diff --git a/gnu/usr.bin/dialog/TESTS/radiolist b/gnu/usr.bin/dialog/TESTS/radiolist
new file mode 100755
index 0000000..16f3a23
--- /dev/null
+++ b/gnu/usr.bin/dialog/TESTS/radiolist
@@ -0,0 +1,33 @@
+#!/bin/sh
+DIALOG=${DIALOG=/usr/bin/dialog}
+
+$DIALOG --title "RADIOLIST BOX" --clear \
+ --radiolist "Hi, this is a radiolist box. You can use this to \n\
+present a list of choices, one of them can be turned \n\
+on or off. If there are more items than can fit on the \n\
+screen, the list will be scrolled. You can use the \n\
+UP/DOWN arrow keys, the first letter of the choice as a \n\
+hot key, or the number keys 1-9 to choose an option. \n\
+Press SPACE to toggle an option on/off. \n\n\
+ Which of the following are fruits?" 20 61 5 \
+ "Apple" "It's an apple." off \
+ "Dog" "No, that's not my dog." ON \
+ "Orange" "Yeah, that's juicy." off \
+ "Cat" "No, never put a dog and a cat together!" oFF \
+ "Fish" "Cats like fish." OFF \
+ "Lemon" "You know how it tastes." oFF 2> /tmp/radiolist.tmp.$$
+
+retval=$?
+
+choice=`cat /tmp/radiolist.tmp.$$`
+rm -f /tmp/radiolist.tmp.$$
+
+case $retval in
+ 0)
+ echo "'$choice' chosen.";;
+ 1)
+ echo "Cancel pressed.";;
+ 255)
+ [ -z "$choice" ] || echo $choice ;
+ echo "ESC pressed.";;
+esac
OpenPOWER on IntegriCloud